ApiParcels
Create, send, sync, cancel or delete up to 1000 parcels in one call
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/parcels/batch" \ -H "Content-Type: application/json" \ -d '{ "operation": "create", "items": [ { "carrierAccountId": "string", "recipient": { "name": "string", "phone": "string" }, "destination": { "country": "st", "state": "string", "city": "string", "deliveryType": "home" }, "codAmount": 0 } ] }'{ "data": { "id": "string", "tenantId": -9007199254740991, "operation": "create", "status": "queued", "total": -9007199254740991, "succeeded": -9007199254740991, "failed": -9007199254740991, "results": [ { "index": -9007199254740991, "status": "succeeded", "parcelId": "string", "error": "string", "code": "string", "details": { "property1": null, "property2": null }, "retryable": true } ], "createdAt": "string", "completedAt": "string" }}